<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
$pdf->open();//abre o fpdf
//$pdf->AddPage();//adicionando a primera pafina
$pdf->SetFont('Arial','',12);
$pdf->SetDrawColor(10,10,10);
$maximoHAdobe=297;//isso para vertical
$maximoLAdobe=210;//isso para vertical
$maximoLAdobe=297;//isso para horizontal
$maximoHAdobe=210;//isso para horizontal
$margemEsquerdaExterna=10;
$margemEsquerda=10;
$margemDireita=$maximoLAdobe-6;
$larguraUtil=$maximoLAdobe-16;
$futer=$maximoHAdobe-10;
//$larguraUtil=$maximoLAdobe;
	 $grosso=0.7;
	 $medio=0.4;
	 $fino=0.3;
	 $muitoFino=0.1;
	 $extraFino=0.03;

$cinza=220;
$fonte="Arial";
$nomeOperador=5;
$pdf->SetFillColor($cinza,$cinza,$cinza); 
$linha=0;
$posicaox1=10;
$larg1=20;
$larg2=20;
$larg3=30;
$larg4=50;
$larg5=15;
$larg6=10;
$larg7=10;
$larg8=10;
$larg9=10;
$larg10=10;




$userTTAP = new amostras();
$userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
$userTTAP->selecionaCampos($userTTAP);
$disparaCabecalho=1;
//echo("sssssssssql= $userTTAP->extras_select <br>");				 
while ($resTTAP = $userTTAP->retornaDados()):
 if($disparaCabecalho==1):
 $disparaCabecalho=0;

	 $pdf->AddPage();//adicionando a primera pafina 
     $disparaCabecalho=0;	
 	 $maximoLAdobe=210;
	 $maximoHAdobe=297;
     $margemEsquerda=10;
	 $margemDireita=$maximoLAdobe-6;
	 $larguraUtil=$maximoLAdobe-16;
	 $cinza=220;
	 $pdf->SetFillColor($cinza,$cinza,$cinza);

	 //as cotas
	 $cota1=5;//inicio de tudo
	 $cota2=30;//final do cabecalho e inicio da amostra
         $cota3=53;//pureza
 	 $cota4=85;
 	 $cota5=130;//inicio de germinacao
         $cota6=0;
	 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
	 $cota8=260;
     $cotaFinal=275;  
	 //LINHAS DO CONTORNO
	 $pdf->SetLineWidth($grosso);
	 //$pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,$cotaFinal);
	 
	 $pdf->SetLineWidth($fino);
     ####################################CABECALHO################################################
     $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
	 $vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);

	 $pdf->SetFont('Arial','B',12);
	 $pdf->Cell($larguraUtil,5,utf8_decode('FICHA DE ANÁLISE - FORRAGEIRA'),0,1,'C');
	 $pdf->SetFont('Arial','',9);
	 $pdf->Cell(30,5,utf8_decode('Amostra Nº:').$vetorRaioX[1],0,0,'L');//lab nome
     //captura se fez bas  é o indece 3 do vetor raio x
     //$vetorRaioX[3];
     if($vetorRaioX[3]!=""):
         $basIr='[x]BAS  [ ]IR  Nº'.substr($vetorRaioX[3],0,10);
	 else:
         $basIr='[ ]BAS  [ ]IR  Nº_______';
	 endif;
     $entrada=" Entrada:".$vetorRaioX[8];
     $saida=" Saida:_______";
     $safra=" Safra:".$vetorRaioX[34];
     $categoria=" Cat.:".$vetorRaioX[33];


	 $pdf->Cell(50,5,utf8_decode($basIr),0,0,'L');//lab nome
	 $pdf->Cell(35,5,utf8_decode($entrada),0,0,'L');//
	 $pdf->Cell(30,5,utf8_decode($saida),0,0,'L');//
	 $pdf->Cell(30,5,utf8_decode($safra),0,0,'L');//
	 $pdf->Cell(30,5,utf8_decode($categoria),0,1,'L');//
	 
	 //segunda linha
     $especie="Espécie:".$vetorRaioX[43];
     $cultivar=" Cultivar:".$vetorRaioX[42];
     $lote=" Lote:".$vetorRaioX[9];
     $repres=" Repres.:".$vetorRaioX[46];
	 $pdf->Cell(45,5,utf8_decode($especie),0,0,'L');//
	 $pdf->Cell(45,5,utf8_decode($cultivar),0,0,'L');//
	 $pdf->Cell(45,5,utf8_decode($lote),0,0,'L');//
	 $pdf->Cell(45,5,utf8_decode($repres),0,1,'L');//

	 //terceira linhas
     $testes="Testes solicitados:".$vetorRaioX[47];
	 $pdf->Cell(180,5,utf8_decode($testes),0,1,'L');//
	 
	 //imprime o retangulo
	 //LINHAS DO CONTORNO
     $cota1=30;
	 $cota1Guardada=$cota1;
	 $pdf->SetLineWidth($grosso);
	 $pdf->Rect($margemEsquerda,$cota1,190,240);

	 //esta ficha é dividida ao meio, sendo a perte da esquerda uma coisa
	 //e a parte da direita outra coisa entao vou criar a parte da esquerda primeiro
     //linha central  
     $centroX=105;
	 $pdf->Line($centroX,$cota1,$centroX,240);
      
	 //comeco da parte da eaquerda
     $pdf->setXY($margemEsquerda,$cota1);
	 $pdf->SetFont('Arial','B',10);
	 $pdf->Cell(95,5,utf8_decode('Análise de pureza'),0,1,'C');//
     //SEGUNDA LINHA
	 $pdf->SetFont('Arial','',10);
	 $pdf->SetLineWidth($fino);
	 $pdf->Cell(31,5,utf8_decode('Determinação'),1,0,'C');//
	 $pdf->Cell(16,5,utf8_decode('g'),1,0,'C');//
	 $pdf->Cell(16,5,utf8_decode('%'),1,0,'C');//
	 $pdf->Cell(16,5,utf8_decode('g'),1,0,'C');//
	 $pdf->Cell(16,5,utf8_decode('%'),1,1,'C');//
     //textos verticaIS
	 $pdf->Cell(17,5,utf8_decode('Peso inicial'),0,1,'L');//
	 $pdf->Cell(17,5,utf8_decode('1-Sts Puras'),0,1,'L');//
	 $pdf->Cell(17,5,utf8_decode('2-Mat.Inerte'),0,1,'L');//
	 $pdf->Cell(17,5,utf8_decode('Sts. Não pelot'),0,1,'L');//
	 $pdf->Cell(17,5,utf8_decode('Outras Sementes'),0,1,'L');//
	 $pdf->Cell(17,5,utf8_decode('Peso Final'),0,1,'L');//
	 $pdf->Cell(17,5,utf8_decode('PI-PF'),0,1,'L');//
     //linha horizontal de fechamaneto    
	 //$pdf->Line($margemEsquerda,$cota1+40+$centroX,$cota1+40);

	 //LINHASs VERTICAis SEPARADORAs
     $cota2=$cota1+45; 
	 $pdf->SetLineWidth($medio);
	 $pdf->Line($margemEsquerda+31,$cota1+5,$margemEsquerda+31,$cota2);
	 $pdf->SetLineWidth($fino);
	 $pdf->Line($margemEsquerda+47,$cota1+5,$margemEsquerda+47,$cota2);
	 $pdf->Line($margemEsquerda+63,$cota1+5,$margemEsquerda+63,$cota2);
	 $pdf->Line($margemEsquerda+79,$cota1+5,$margemEsquerda+79,$cota2);

     //textos hotizpntais
	 $pdf->Line($margemEsquerda,$cota2,$centroX,$cota2);
	 $pdf->Cell(25,5,utf8_decode('Material inerte:'),0,0,'L');//
	 $pdf->Cell(17,5,utf8_decode('[ ]Palha'),0,0,'L');//
	 $pdf->Cell(17,5,utf8_decode('[ ]Terra'),0,0,'L');//
	 $pdf->Cell(17,5,utf8_decode('[ ]Torrões'),0,0,'L');//
	 $pdf->Cell(17,5,utf8_decode('[ ]Talos'),0,1,'L');//
	  	 	  
	 $pdf->Cell(42,5,utf8_decode('[ ]Frag. de revestimento'),0,0,'L');//
	 $pdf->Cell(17,5,utf8_decode('[ ]Insetos'),0,0,'L');//
	 $pdf->Cell(17,5,utf8_decode('[ ]Pedras'),0,1,'L');//
 
	 $pdf->Cell(35,5,utf8_decode('[ ]Outros:'),0,1,'L');//
     	 
	 $pdf->SetFont('Arial','B',10);
	 $pdf->Cell(95,5,utf8_decode('Outras Sementes'),1,1,'C');//
     
	 $cota2+=15;
	 $alturaFlex=30;
	 $pdf->SetFont('Arial','',10);
	 $pdf->Cell(95,5,utf8_decode('10-O. Espécies Cultivadas:'),0,1,'L');//
	 
	 $cota2+=$alturaFlex;
	 $pdf->setXY($margemEsquerda,$cota2);
	 $pdf->Cell(75,5,utf8_decode('Total:'),0,1,'R');//
	 $pdf->Line($margemEsquerda,$cota2+5,$centroX,$cota2+5);
	 $pdf->Cell(95,5,utf8_decode('11-Sts Silvestres:'),0,1,'L');//
     	 
	 $cota2+=$alturaFlex;
	 $pdf->setXY($margemEsquerda,$cota2);
	 $pdf->Cell(75,5,utf8_decode('Data:                       Visto:                         Total:'),0,1,'L');//
	 $pdf->Line($margemEsquerda,$cota2+5,$centroX,$cota2+5);
	 $pdf->SetFont('Arial','B',10);
	 $pdf->Cell(95,5,utf8_decode('Determinação de Outras Sementes por Número em:'),0,1,'C');//
	 $pdf->SetFont('Arial','',10);
	 $pdf->Cell(95,5,utf8_decode('    +          =            g'),0,1,'C');//
	 $pdf->Line($margemEsquerda,$cota2+15,$centroX,$cota2+15);
 
	 $cota2+=15;
	 $pdf->SetFont('Arial','',10);
	 $pdf->Cell(95,5,utf8_decode('12-Sts Nocivas Toleradas:'),0,1,'L');//
	 
	 $cota2+=$alturaFlex;
	 $pdf->setXY($margemEsquerda,$cota2);
	 $pdf->Cell(75,5,utf8_decode('Total:'),0,1,'R');//
	 $pdf->Line($margemEsquerda,$cota2+5,$centroX,$cota2+5);
	 $pdf->Cell(95,5,utf8_decode('13-Sts Nocivas Proibidas:'),0,1,'L');//
     	 
	 $cota2+=$alturaFlex;
	 $pdf->setXY($margemEsquerda,$cota2);
	 $pdf->Cell(75,5,utf8_decode('Data:                       Visto:                         Total:'),0,1,'L');//
	 $pdf->Line($margemEsquerda,$cota2+5,$centroX,$cota2+5);
     
	 $pdf->SetFont('Arial','B',10);
	 $pdf->Cell(95,5,utf8_decode('Verificação de umidade(%)'),0,1,'C');//
	 $pdf->SetFont('Arial','',10);
	 $pdf->Line($margemEsquerda,$cota2+10,$centroX,$cota2+10);
	 $pdf->SetFont('Arial','',10);
	 $pdf->Cell(95,5,utf8_decode('     Amostra1              Amostra 2                  Média(%)'),0,1,'L');//

	 $cota2+=10;
	 $cota3=$cota2+12;
	 $pdf->Line(40,$cota2,40,$cota3);
	 $pdf->Line(75,$cota2,75,$cota3);
	 $pdf->Line($margemEsquerda,$cota3,$centroX,$cota3);
	 
	 $pdf->setXY($margemEsquerda,$cota3);  
	 $pdf->Cell(95,5,utf8_decode('Data:                         Visto:'),1,1,'L');//
	 
	 $pdf->Cell(95,5,utf8_decode('Observação Geral:'),0,0,'L');//
     
 
	 

//xxxxxxxxxxxxxxxxxxxxxxxx#########################################
	 //PARTE DA DIREITA
	 $cota1=$cota1Guardada;
	 //comeco da parte da eaquerda
	 $pdf->setXY($centroX,$cota1);
	 $pdf->SetLineWidth($grosso);
	 $pdf->SetFont('Arial','B',10);
	 $pdf->Cell(95,10,utf8_decode('VC - Valor Cultural(%):'),1,1,'C');//
	 $pdf->SetLineWidth($fino);
	 $pdf->setXY($centroX,$cota1+10);
	 $pdf->SetLineWidth($fino);
	 $pdf->Cell(95,5,utf8_decode('14-Teste Tetrazólio (%)'),1,1,'C');//
     $cota1+=15;
     $cota2=$cota1+15;
     //linhas verticais
	 $pdf->Line($centroX+23,$cota1,$centroX+23,$cota2);	
	 $pdf->Line($centroX+43,$cota1,$centroX+43,$cota2);	
	 $pdf->Line($centroX+63,$cota1,$centroX+63,$cota2);	
	 $pdf->Line($centroX+80,$cota1+5,$centroX+80,$cota2);	
     //linha horizontal
	 $pdf->Line($centroX,$cota2,$centroX+95,$cota2);	
     //textos    
	 $pdf->setXY($centroX,$cota1);
	 $pdf->SetFont('Arial','',10);
	 $pdf->Cell(95,5,utf8_decode('  Amostra1        Amostra 2     Média(%)           Horário'),0,1,'L');//
	 $pdf->setXY(169,$cota1+5);
	 $pdf->Cell(95,5,utf8_decode('Pré-cond.'),0,1,'L');//
	 $pdf->setXY(169,$cota1+10);
	 $pdf->Cell(95,5,utf8_decode('Condic.'),0,1,'L');//
     //textos    
	 $pdf->setXY($centroX,$cota2);
	 $pdf->Cell(95,5,utf8_decode('Data:                            Visto:'),0,1,'L');//
     //linha depois do visto
     $cota2+=5;
	 $pdf->SetLineWidth($medio);
	 $pdf->Line($centroX,$cota2,$centroX+95,$cota2);	
	 $pdf->SetFont('Arial','B',10);
	 $pdf->setXY($centroX,$cota2);
	 $pdf->Cell(65,5,utf8_decode('15-Peso de Mil Sementes'),0,0,'C');//
     //texto total
	 $pdf->SetLineWidth($fino);
	 $pdf->SetFont('Arial','',10);
	 $pdf->Cell(30,5,utf8_decode('Total(g)='),1,1,'L');//

     //linha horizontal depois de peso 1000
	 $cota2+=5;
	 $pdf->Line($centroX,$cota2,$centroX+95,$cota2);//linha horizontal fina depois de peos mil semente	

     //7 linhas verticais
	 $cota3=$cota2+10;
     $posicaox2=$centroX+24;
     $posicaox3=$centroX+48;
     $posicaox4=$centroX+72;
     //linhas finas
	 $pdf->Line($centroX+5,$cota2,$centroX+5,$cota3);	
	 $pdf->Line($posicaox2+5,$cota2,$posicaox2+5,$cota3);	
	 $pdf->Line($posicaox3+5,$cota2,$posicaox3+5,$cota3);	
	 $pdf->Line($posicaox4+5,$cota2,$posicaox4+5,$cota3);	
     $pdf->Line($centroX,$cota3,$centroX+95,$cota3);//linha horizontal fina depo     das veticais finas
     //linhas medias
	 $pdf->SetLineWidth($medio);
	 $pdf->Line($posicaox2,$cota2,$posicaox2,$cota3);	
	 $pdf->Line($posicaox3,$cota2,$posicaox3,$cota3);	
	 $pdf->Line($posicaox4,$cota2,$posicaox4,$cota3);	
     //texto 1,,2,3,4
	 $pdf->SetFont('Arial','',10);
	 $pdf->setXY($centroX,$cota2);
	 $pdf->Cell(30,5,utf8_decode('1                       2                      3                       4'),0,1,'L');//
	 $pdf->setXY($centroX,$cota2+5);
	 $pdf->Cell(30,5,utf8_decode('5                       6                      7                       8'),0,1,'L');//
     //texto media
	 $pdf->setXY($centroX,$cota3);
	 $pdf->Cell(33,5,utf8_decode('Média'),1,0,'L');//
	 $pdf->Cell(62,5,utf8_decode('Data:                     Visto:'),1,0,'L');//
     //risco grosso  antes de teste de germinacao  
     $cota3+=5;
	 $pdf->SetLineWidth($grosso);
	 $pdf->Line($centroX,$cota3,$centroX+95,$cota3);	
	 //Teste de Germinação 
	 $pdf->SetFont('Arial','B',10);
	 $pdf->setXY($centroX,$cota3);
	 $pdf->Cell(95,5,utf8_decode('Teste de Germinação'),0,1,'C');//
     //cont
	 $cota3+=5;
     $pdf->SetLineWidth($fino);
	 $pdf->Line($centroX,$cota3,$centroX+95,$cota3);//linha abaixo da frase teste de germinacao	
	 $pdf->SetFont('Arial','',10);
	 $pdf->setXY($centroX,$cota3);
	 $pdf->Cell(14,10,utf8_decode('Cont.'),1,1,'C');//
	 $pdf->setXY($centroX+14,$cota3);
	 $pdf->Cell(81,5,utf8_decode('Início em:                  Início em:'),1,1,'C');//
	 $pdf->setXY($centroX+14,$cota3+5);
	 $pdf->Cell(81,5,utf8_decode('    1        2       3        4        1         2        3        4   '),0,1,'L');//

 //nove linhas verticais abaixo da frase teste de germinacao
     //23 linhas horizontais ultra finas	
     for($lh=1;$lh<=23;$lh++):
        $avanco=($lh)*5+5;
	    if($lh==8 || $lh==13 || $lh==18 || $lh==23):
		    $pdf->SetLineWidth($medio);
	        $pdf->Line($centroX,$cota3+$avanco,$centroX+95,$cota3+$avanco);
		else:
		    $pdf->SetLineWidth($extraFino);
	        $pdf->Line($centroX+5,$cota3+$avanco,$centroX+95,$cota3+$avanco);
		endif;	
     endfor;






     //23 linhas sendo que vai colocar a palavra total e percentagem	
	 $contador=0; 
     for($lh=1;$lh<=23;$lh++):
	    if($lh==6 || $lh==11 || $lh==16 || $lh==21):
             $avanco=$lh*5+5;
			 //captura a cota da linha de total pois ali se interrompem as linhas verticais
			 $contador++;
             $cotaLegendaTotal[$contador]= $cota3+$avanco+5;  

			 $pdf->setXY($centroX+5,$cota3+$avanco);
			 $pdf->Cell(10,5,utf8_decode('Total'),0,1,'C');//
			 $pdf->setXY($centroX+5,$cota3+$avanco+5);
			 $pdf->Cell(10,5,utf8_decode('%'),0,1,'C');//
		endif;	
	 endfor;
	 
	 
	 //nove linhas verticais abaixo da frase teste de germinacao mas so interrompidas na linha de percentagem
	 $pdf->SetLineWidth($muitoFino);
     $cotaLegendaTotal[0]=$cota3;
     for($x=1;$x<=8;$x++):
	     $posicaoLinha=$centroX+$x*10+4;   
	     for($ii=1;$ii<=4;$ii++):   
	        $inicioVerticais=$cotaLegendaTotal[$ii-1];
	        $finalVerticais=$cotaLegendaTotal[$ii];
		    $pdf->Line($posicaoLinha,$inicioVerticais+5,$posicaoLinha,$finalVerticais);//linha vertical 	
		    $pdf->Line($posicaoLinha,$inicioVerticais+5,$posicaoLinha,$finalVerticais);//linha vertical 	
	     endfor;   
     endfor; 
	 
	  
	 $finalVerticais=$finalVerticais+5;
	 //linha vertical a direita das palavras verticais
	 $pdf->SetLineWidth($medio);
	 $pdf->Line($centroX+5,$cota3+10,$centroX+5,$finalVerticais);//linha vertical 	
	 //linha verical separando as repeticoes   1234   1234
	 $pdf->Line($centroX+54,$cota3+5,$centroX+54,$finalVerticais);//linha vertical 	
	 
	 
	  
//imprime as palavras verticais
 //$caminhoFinalPalavrasDegrana="Imagens/palavrasVerticaisDegrana.jpg";
 $pdf->Image("Imagens/palavrasVerticaisDegrana1.jpg",$centroX+0.5,$cota3+11,4,26,'JPG');
 $pdf->Image("Imagens/palavrasVerticaisDegrana2.jpg",$centroX+0.5,$cota3+45,4,24,'JPG');
 $pdf->Image("Imagens/palavrasVerticaisDegrana3.jpg",$centroX+0.5,$cota3+70,4,24,'JPG');
 $pdf->Image("Imagens/palavrasVerticaisDegrana4.jpg",$centroX+0.5,$cota3+95,4,24,'JPG');



	 
 	 $pdf->SetFont('Arial','',8);
     $cota3=$finalVerticais;
	 $pdf->setXY($centroX,$cota3);
	 $pdf->Cell(14,5,utf8_decode('Total da'),0,0,'L');//
	 $pdf->Cell(20,5,utf8_decode('Normais'),1,0,'L');//
	 $pdf->Cell(20,5,utf8_decode('Anormais'),1,0,'L');//
	 $pdf->Cell(20,5,utf8_decode('Duras'),1,0,'L');//
	 $pdf->Cell(21,5,utf8_decode('Mortas'),1,0,'L');//

	 $pdf->setXY($centroX,$cota3+5);
	 $pdf->Cell(14,5,utf8_decode('Germ.(%)'),0,0,'L');//
	 $pdf->Cell(20,5,utf8_decode(''),1,0,'L');//
	 $pdf->Cell(20,5,utf8_decode(''),1,0,'L');//
	 $pdf->Cell(20,5,utf8_decode(''),1,0,'L');//
	 $pdf->Cell(21,5,utf8_decode(''),1,0,'L');//

     $pdf->SetLineWidth($medio);
 	 $cota3+=10;
	 $pdf->Line($centroX,$cota3,$centroX+95,$cota3);//
	 $pdf->setXY($centroX,$cota3);    
	 $pdf->Cell(47,5,utf8_decode('Data Teste:'),0,0,'L');//
	 $pdf->Cell(50,5,utf8_decode('Data Re-Teste:'),0,0,'L');//


	 $pdf->setXY($centroX,$cota3+5);  
	 $pdf->Cell(47,5,utf8_decode('NºGerminador:'),0,0,'L');//
	 $pdf->Cell(50,5,utf8_decode('NºGerminador: '),0,0,'L');//

	 $pdf->setXY($centroX,$cota3+10);
	 $pdf->Cell(47,5,utf8_decode('Visto:'),0,0,'L');//
	 $pdf->Cell(50,5,utf8_decode('Visto:'),0,0,'L');//


     //linha central divisoria
 	 $cota4=$cota3+15;
	 $pdf->Line($centroX+47,$cota3,$centroX+47,$cota4);//
	 $pdf->Line($centroX,$cota4,$centroX+95,$cota4);//

	 $pdf->setXY($centroX,$cota4);  
	 $pdf->Cell(95,5,utf8_decode('Outras informações'),1,0,'C');//
	 
	 $pdf->SetLineWidth($extraFino);
	 $pdf->setXY($centroX,$cota4+5);  
	 $pdf->Cell(32,5,utf8_decode('Substrato:'),1,0,'L');//
	 $pdf->Cell(32,5,utf8_decode('Temperatura:'),1,0,'L');//
	 $pdf->Cell(31,5,utf8_decode('Fotoperíodo[ ]Sim'),1,0,'L');//

	 $pdf->setXY($centroX,$cota4+10);  
	 $pdf->Cell(50,5,utf8_decode('Duração Teste:___Dias'),1,0,'L');//
	 $pdf->Cell(45,5,utf8_decode('Sal de Tetrazólio____%:'),1,0,'L');//

	 $pdf->setXY($centroX,$cota4+15);  
	 $pdf->Cell(95,5,utf8_decode('Tratamento:'),1,0,'L');//

	 $cota4+=20;
	 $pdf->setXY($centroX,$cota4);  
	 $pdf->Cell(95,15,utf8_decode('         Visto RT:'),1,0,'L');//

     /////////////////////////////////////////////////////////////// 
     //RODAPE COM CAIXA ARIAL 6
	 $cota4+=16;
 	 $pdf->SetFont('Arial','',6);
	 $pdf->setXY($margemEsquerda,$cota4);  
	 $pdf->Cell(31,3,utf8_decode('Identificação'),1,0,'C');//
	 $pdf->Cell(37,3,utf8_decode('Arquivamento/Armazenamento'),1,0,'C');//
	 $pdf->Cell(29,3,utf8_decode('Indexação'),1,0,'C');//
	 $pdf->Cell(31,3,utf8_decode('Coleta/Acesso'),1,0,'C');//
	 $pdf->Cell(31,3,utf8_decode('Tempo de retenção'),1,0,'C');//
	 $pdf->Cell(31,3,utf8_decode('Disposição'),1,1,'C');//
     //seguna linha
	 $pdf->Cell(31,3,utf8_decode('FOR 5.8.02'),1,0,'C');//
	 $pdf->Cell(37,3,utf8_decode('Pasta'),1,0,'C');//
	 $pdf->Cell(29,3,utf8_decode('Anual'),1,0,'C');//
	 $pdf->Cell(31,3,utf8_decode('Manual'),1,0,'C');//
	 $pdf->Cell(31,3,utf8_decode('05 anos'),1,0,'C');//
	 $pdf->Cell(31,3,utf8_decode('Eliminar'),1,1,'C');//

					 
				 endif;

             endwhile; //este while encerra a colecao de amostras   
 
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
